/* ***********************************************************************
**
**  Copyright (C) 2005 Christian Kranz
**
** Siemens S65 Display Control
*********************************************************************** */

#ifndef _LCD_H
#define _LCD_H


#define LCD_CS	   	PB2		//PD2	//PB0	!SS
#define LCD_RESET  	PB6		//PD5	//PB6	(OC1B)
#define LCD_RS	   	PB7		//PD3	//PB7	(OC1C)
#define LCD_MOSI   	PB3		//PD1	//PB2	MOSI
#define LCD_MISO   	PB4		//PD0	//PB3	MISO
#define LCD_SCK    	PB5		//PD4	//PB1	SCK


#ifndef LCD_ASM

 void mswait(uint16_t ms);

 void lcd_init(void);			// LCD initialise
 void lcd_clrscr(void);		// LCD power down

 void lcd_wrdata(uint8_t);
 void lcd_wrcmd(uint8_t);

#endif

#endif // ifndef LCD_H

